Log in Request access

Media

Write an image, video, or audio capture onto the patient's chart.

Create-only, clinician context (user/Media.c). Media is an ordinary FHIR R4 resource — it is the one resource without a CA Core+ profile claim. Use it for photos and other captures; use DocumentReference for documents.

Ordinary FHIR R4 resource (no CA Core+ profile claim).

Access

Mode Interactions Scopes
App launch create user/Media.c
Backend services

Create-only; no read, search, update, or delete, and no Backend Services access.

Attach a wound photo

POST /Media 201 Created
Request
curl -X POST "https://sandbox.avaemr.ca/fhir/r4/{partition_id}/Media" \
  -H "Authorization: Bearer $SMART_ACCESS_TOKEN" \
  -H "Content-Type: application/fhir+json" \
  -H "Accept: application/fhir+json" \
  -d '{
    "resourceType": "Media",
    "status": "completed",
    "type": { "coding": [{ "system": "http://terminology.hl7.org/CodeSystem/media-type", "code": "image" }] },
    "subject": { "reference": "Patient/synthetic-patient-1" },
    "content": {
      "contentType": "image/jpeg",
      "data": "<base64-encoded image>",
      "title": "Left forearm, day 3"
    }
  }'
Response · launch context
{
  "resourceType": "Media",
  "id": "synthetic-media-1",
  "status": "completed",
  "type": { "coding": [{ "system": "http://terminology.hl7.org/CodeSystem/media-type", "code": "image" }] },
  "subject": { "reference": "Patient/synthetic-patient-1" },
  "createdDateTime": "2026-08-24T10:20:00-04:00",
  "content": {
    "contentType": "image/jpeg",
    "title": "Left forearm, day 3"
  }
}